osgShadow::ParallelSplitShadowMap::FragmentShaderGenerator Class Reference

`#include <ParallelSplitShadowMap>`

Inheritance diagram for osgShadow::ParallelSplitShadowMap::FragmentShaderGenerator:

## Public Member Functions

virtual std::string | generateGLSL_FragmentShader_BaseTex (bool debug, unsigned int splitCount, double textureRes, bool filtered, unsigned int nbrSplits, unsigned int textureOffset)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

you can overwrite the fragment shader if you like to modify it yourself, own fragment shader can be used

## Member Function Documentation

## generateGLSL_FragmentShader_BaseTex()

virtual std::string osgShadow::ParallelSplitShadowMap::FragmentShaderGenerator::generateGLSL_FragmentShader_BaseTex | ( | bool | debug,
|  | unsigned int | splitCount,
|  | double | textureRes,
|  | bool | filtered,
|  | unsigned int | nbrSplits,
|  | unsigned int | textureOffset )

virtual

generate the GLSL fragment shader

The documentation for this class was generated from the following file:

- ParallelSplitShadowMap